import clr
clr.AddReference('Soti.IoT.SemanticEngine.Conversions')

from Soti.IoT.SemanticEngine.Conversions import Converter

print("Loading PercentToCitizenCLDarkness Converter")

class PercentToCitizenCLDarkness(Converter):

	def Execute(self, myList = [], *args):
		return (((int(myList[0]) -1 ) * 30) /99)




plugin = PercentToCitizenCLDarkness("PercentToCitizenCLDarkness")

store.AddConverter(plugin)